"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Table = require('cli-table');
const config_1 = __importDefault(require("../common/config"));
class List {
    options;
    constructor(options) {
        this.options = options;
    }
    /**
     * Invoke action.
     */
    invoke() {
        const config = new config_1.default(this.options.config);
        const settings = config.getSettings();
        const placeholder = 'n/a';
        const table = new Table({
            head: ['Name', 'Server', 'Port', 'Database', 'User', 'Password', 'Options'],
        });
        settings.forEach((sett) => {
            table.push([
                sett.name || placeholder,
                sett.connection.server || placeholder,
                sett.connection.port || placeholder,
                sett.connection.database || placeholder,
                sett.connection.user || placeholder,
                sett.connection.password || placeholder
            ]);
        });
    }
}
exports.default = List;
//# sourceMappingURL=list.js.map