"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Helpers = void 0;
/**
 * Common helper functions.
 */
class Helpers {
    /**
     * Group a collection of objects by a specific key.
     *
     * @param items Collection of items to group.
     * @param key Property name to group by.
     */
    static groupByName(items, key) {
        return items.reduce((prev, cur) => {
            const prop = cur[key];
            const group = (prev[prop] = prev[prop] || []);
            group.push(cur);
            return prev;
        }, {});
    }
}
exports.Helpers = Helpers;
//# sourceMappingURL=helpers.js.map